## xmorph 20040525

=== debian/changelog ===
xmorph (1:20040525) unstable; urgency=low

  * in warp.h there are defines PIXEL_TYPE , PIXEL_MIN, PIXEL_MAX
    to adapt the warping core to warp images with different pixel bitdepth
  *  in libmorph/resample.c
    - optimization for lanczos-antialiased-warping  as suggested
       by oberger and lvalero (@ esil univ-mrs fr) : it is twice as fast
    - corrected a read F[i+1] out of array bounds
    - sinc() is symmetric! so I don't need a table that big!
  * corrected GTK_TEXT in guide.c, thanks 
       "J.C. Keet" (j.keet wandromeda tmfweb nl)
  *  deleting CWD from filenames in save_session was off by 1
  
 -- A Mennucc1 <mennucc1@debian.org>  Thu, 27 May 2004 15:17:37 +0200

xmorph (1:20040110) unstable; urgency=low

  * libmorph-dev is in libdevel, not devel
  * editing the mesh with a free border (that is, w/o "preserve border")
    sometimes went wild; now it seems ok, so it is the default
  * while editing the image, the image has a big border (to track mesh
    points outside the image itself)
  * the settings "view original features" "view warped features" 
    have disappeared since I never implemented it
  * new setting "cursor jump" 
  * fixed session file in example (closes:  #225090)
  * Bug fix: "xmorph: Upgrade conflict between xmorph 20011220 and
    gtkmorph 20030527", thanks to Nick Leverton (Closes: #202691).

 -- A Mennucc1 <mennucc1@debian.org>  Mon, 12 Jan 2004 16:23:56 +0100

xmorph (1:20031129) unstable; urgency=low

  * Update to latest Debian Policy Standards Version
  * xmorph.info was not installed properly any more
  * This release contains some rewrites of the code base of gtkmorph and
    libmorph.  (not of xmorph, though; I do not use xmorph; I only use
    gtkmorph):
  * some optimizations
  * warp2.c and resample.c  in libmorph:
    1) can warp images of different sizes, (but this is untested)
    2) mesh border does not need to stay on image border,
    3) warp with Lanczos antialiasing  or bilinear resampling
     and added a global setting "antialiasing" to choose bilinear/Lanczos
  * added warp-gtk.h : contains a call to warp GdkPixbufs
  * rewritten code that smooths the meshes: mesh border does not need to
    stay on image border; and added a global setting "preserve border" to
    lock/unlock the border of the meshes
  * removed bashism from debian/rules (closes: 219995)

 -- A Mennucc1 <mennucc1@debian.org>  Fri, 28 Nov 2003 10:42:45 +0100

xmorph (1:20030731) unstable; urgency=low

  * shows Euclidean distance between meshes and resulting mesh

 -- A Mennucc1 <mennucc1@debian.org>  Fri,  1 Aug 2003 15:16:20 +0200

xmorph (1:20030527) unstable; urgency=low

  * there is a new 'setting' (in the menu) to choose between 
     elastic-energy smoothing (old way) and 
     thin-plate-energy smoothing (new way , default) of meshes
  * smoothing is done on idle time (thin splate is complex)
  * can use keys  0...9 to set point labels, and 'ijkl' to finely move points

 -- A Mennucc1 <mennucc1@debian.org>  Mon, 26 May 2003 19:00:00 +0200

xmorph (1:20030325) unstable; urgency=low

  * better mpeg; quality file

 --  A Mennucc1 <mennucc1@debian.org>  Tue, 25 Mar 2003 10:39:06 +0100

xmorph (1:20030310bis) unstable; urgency=low

  * gtkmorph-example provides xmorph-example as well
  * gtkmorph-example is architecture all
  * corrected glitch in debian/rules (now using autoconf2.53)
  * in debian/rules, dh_makeshlibs and dh_installdeb
    where inverted: so debhelper was installing libmorph/postinst
    before it added the ldconfig

 -- A Mennucc1 <mennucc1@debian.org>  Tue, 18 Mar 2003 09:42:09 +0100

xmorph (1:20030310) unstable; urgency=low

  * changed behaviour of callbacks for spinbuttons AGAIN:
    I got it really wrong : errors while loading subimage selections
  * new tool: magnifier lens
  * anisotropic smoothing =>   better meshes =>    better morphing
    (really cool, why didn't I think of it before?)

 -- A Mennucc1 <mennucc1@debian.org>  Sat,  10 Mar 2003 12:10:24 +0100

xmorph (1:20030306) unstable; urgency=low

  * don't crash on truncated meshes
  * built with gtk1.2  (gtk 2.0 is too slow)

 -- A Mennucc1 <mennucc1@debian.org>  Wed,  5 Mar 2003 13:18:04 +0100

xmorph (1:20030227) unstable; urgency=low

  * changed behaviour of callbacks for spinbuttons:
    I got it really wrong : it was impossible to edit the numbers
  * some improvements to movie making

 -- A Mennucc1 <mennucc1@debian.org>  Thu, 27 Feb 2003 09:51:52 +0100

xmorph (1:20030121) unstable; urgency=low

  * added example suite 
  * complete rehaul of the code that now uses both glade1 gtk1 and glade2 gtk2

 -- A Mennucc1 <mennucc1@debian.org>  Thu, 23 Jan 2003 12:18:46 +0100

xmorph (1:20030119-1) unstable; urgency=low

  * added tools.
  * Added 'features'  . 
    When points are packed in features, they will be moved as one.
    TODO note: feature names and colors can be changed but will not be saved;
     whereas features in meshes are saved with the mesh.

 -- A Mennucc1 <mennucc1@debian.org>  Fri, 17 Jan 2003 23:15:09 +0100

xmorph (1:20021001-1) unstable; urgency=low

  * I want to try gtk2.0 building so I have removed temporarily
    libgdk-pixbuf-dev, libgtk1.2-dev |
  
  * avoid time skew   (closes: #161270)

 -- Andrea Mennucc <debdev@Tonelli.sns.it>  Sat,  5 Oct 2002 13:27:58 +0200

xmorph (1:20020909-1) unstable; urgency=low

  * does not need libart; corrected build-deps  (closes: #160445)

 -- Andrea Mennucc <debdev@Tonelli.sns.it>  Mon, 16 Sep 2002 16:11:38 +0200

xmorph (1:20020909-0) unstable; urgency=low

  * no more need of auto* stuff (closes: #156422) (closes: #158353)
  * put executable there (closes: #160113)
  * put man page there (closes: #156691)
  * needs debhelper 3

 -- Andrea Mennucc <debdev@Tonelli.sns.it>  Mon,  9 Sep 2002 14:50:44 +0200

xmorph (1:20020602) unstable; urgency=low

  * gtkmorph has a 'druid' help
  * corrects automake problem (hopefully) (closes: #153255)



=== debian/control ===
Source: xmorph
Section: graphics
Build-Depends: gettext, libtool, autotools-dev, debhelper (>= 4.0.0),                    xlibs-dev, libxaw7-dev, xutils, groff, texinfo, bsdmainutils,                   libgtk2.0-dev
Priority: optional
Maintainer: A Mennucc1 <mennucc1@debian.org>
Standards-Version: 3.6.1

Package: libmorph
Architecture: any
Depends: ${shlibs:Depends}
Priority: optional
Section: libs
Description: digital image warping library
 libmorph warps images.  The technique was invented and first used by
 Industrial Light and Magic, and is commonly called "morphing."

Package: xmorph
Architecture: any
Depends: ${shlibs:Depends}
Suggests: imagemagick | netpbm | xmorph-example
Priority: optional
Section: graphics
Description:  digital image warp and morph (x11)
 Xmorph loads, saves, warps, and dissolves images, and loads, saves, creates,
 and manipulates control meshes which determine the warping.  The technique
 was invented and first used by Industrial Light and Magic, and is commonly
 called "morphing".
 .
 Xmorph uses the Targa image format exclusively.  Other software is needed to
 convert to other image formats or to movies.  (Due to a bug, Xmorph's images
 are unreadable by John Bradley's XV.)
 .
 xmorph is a GUI for libmorph, using the X Toolkit; the package also contains
 a text-only program called morph.

Package: libmorph-dev
Architecture: any
Depends: libmorph (= ${Source-Version})
Priority: optional
Section: libdevel
Description: digital image warping library (development files)
 This package contains header files for, and a static version of, the libmorph
 library.

Package: gtkmorph
Architecture: any
Depends:  libmorph (= ${Source-Version}), ${shlibs:Depends}
Suggests: imagemagick, gtkmorph-example
Conflicts: xmorph (<< 20030121)
Priority: optional
Section: graphics
Description:  Digital image warp and morph (gtk)
 gtkmorph loads, saves, warps, and dissolves images, and loads, saves,
 creates, and manipulates control meshes which determine the warping.   The
 technique was invented and first used by Industrial Light and Magic, and is
 commonly called "morphing."
 .
 gtkmorph is a GUI for libmorph, using GTK.  It has many features, as the
 support for making movies automatically (it needs extra packages).

Package: gtkmorph-example
Architecture: all
Depends:  gtkmorph | xmorph
Provides: xmorph-example
Priority: optional
Section: graphics
Description:  digital image warp and morph, examples
 gtkmorph loads, saves, warps, and dissolves images, and loads, saves,
 creates, and manipulates control meshes which determine the warping.  It has
 support for making movies automatically (it needs extra packages).  The
 technique was invented and first used by Industrial Light and Magic, and is
 commonly called "morphing."
 .
 This package contains an example session, that can be used also with xmorph.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=0

# This is the debhelper compatability version to use.
export DH_COMPAT=4

# This has to be exported to make some magic below work.
export DH_OPTIONS

CFLAGS = -Wall -g
INSTALL = install
INSTALL_FILE    = $(INSTALL) -p    -o root -g root  -m  644
INSTALL_PROGRAM = $(INSTALL) -p    -o root -g root  -m  755
INSTALL_SCRIPT  = $(INSTALL) -p    -o root -g root  -m  755
INSTALL_DIR     = $(INSTALL) -p -d -o root -g root  -m  755

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
INSTALL_PROGRAM += -s
endif

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
# FOR AUTOCONF 2.52 AND NEWER ONLY
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif
# FOR AUTOCONF 2.13 ONLY
#ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
#  confflags += $(DEB_HOST_GNU_TYPE)
#else
#  confflags += --host $(DEB_BUILD_GNU_TYPE) --build $(DEB_HOST_GNU_TYPE)
#endif

build: build-stamp
build-stamp:
	dh_testdir
	#libtoolize -f
	#gettextize -f
	#automake --add-missing
	#PROBLEM HERE aclocal forgets about gtk 2.0 macros
	#aclocal 
	#autoconf
	#
	#RESTORE LINKS
	#[ -f debian/build_links ] && xargs <debian/build_links -r -n 2  ln -bs && rm debian/build_links
	# avoid time skews
	touch configure.in && 	touch aclocal.m4 && 	touch configure
	touch config.h.in  */Makefile.in Makefile.in
	#
	./configure $(confflags) --prefix=/usr --mandir=/usr/share/man \
		--infodir=/usr/share/info \
		--with-xmorph --with-gtkmorph --with-gtk2 
	# Add here commands to compile the package.
	$(MAKE)  CFLAGS="$(CFLAGS)"
	#
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
	#DELETE LINKS: save and delete sym links
	#find -type l -printf '%l\t%p\n' >> debian/build_links
	#find -type l | xargs -r rm 
	dh_clean
	-test -r /usr/share/misc/config.sub && \
	   cp -vf /usr/share/misc/config.sub config.sub
	-test -r /usr/share/misc/config.guess && \
	   cp -vf /usr/share/misc/config.guess config.guess


install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=`pwd`/debian/tmp
	dh_movefiles
	dh_link -pxmorph usr/share/man/man1/xmorph.1 usr/share/man/man1/morph.1
	dh_link -pgtkmorph usr/share/xmorph/pixmaps usr/share/gtkmorph/pixmaps
	dh_link -pgtkmorph-example usr/share/xmorph/example usr/share/gtkmorph/example
	dh_link -pgtkmorph-example usr/share/xmorph/example usr/share/doc/gtkmorph-example/examples
	dh_link -pgtkmorph-example usr/share/xmorph/example usr/share/doc/gtkmorph/examples


# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: DH_OPTIONS=-i
binary-indep: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
#nope! it was getting installed twice!
#	#dh_installexamples -pgtkmorph-example example
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
#	dh_installmanpages
#is done by postinst	
#	dh_undocumented
#	dh_installinfo
	dh_installchangelogs
	#ChangeLog
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
#	dh_perl
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
# Pass -a to all debhelper commands in this target to reduce clutter.
binary-arch: DH_OPTIONS=-a
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
#	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
#	dh_installcron
#	dh_installmanpages
# is done correctly in my postinst
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	#ChangeLog
	dh_strip
	dh_link
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps -ldebian/libmorph/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary:  binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install

## xmorph 20040717

=== debian/changelog ===
xmorph (1:20040717) unstable; urgency=low

  * in GTK2 the callback for key presses in the window area was not binded
  * wavelet statistics are computed while warping and not while blending
    (so moving the blending slide reacts faster)
  * the warp pulls pixel from loaded image and not from the editing subimage,
    and the resample code pads image with its border color and not with black
  
    (1:20040714) unreleased

  * added 'disable-rpath' to configure 
  * the spinbuttons in GTK2 use value-changed callback
  
    (1:20040713) unreleased
  
  * code clean up: divided 'callbacks.c' and 'utils.c' in many files
  * use  'gdk_window_invalidate_rect' instead of 'gtk_widget_draw' in
     GTK2 : the responsiveness of the program is much improved
  * gtk-meta.h and gtk-meta.c to compile for win32 and  gtk 1.2 , 2.2 

    (1:20040707) unreleased

  * 'configure --with-gtk2' has been replaced by 'configure --with-gtk=version'
  * corrected magnifier offset
  * corrected thin-plate-spline smoother in relax.c: no more mesh entangling
  * new astounding features:
    - auto calibration of mesh points
    - wavelet equalization
    - saving images in ppm, jpeg, png  format (thanks to GTK2 )
  
 -- A Mennucc1 <mennucc1@debian.org>  Thu, 10 Jun 2004 11:26:54 +0200

=== debian/rules ===
--- 
+++ 
@@ -59,12 +59,13 @@
 	#RESTORE LINKS
 	#[ -f debian/build_links ] && xargs <debian/build_links -r -n 2  ln -bs && rm debian/build_links
 	# avoid time skews
-	touch configure.in && 	touch aclocal.m4 && 	touch configure
+	touch configure.ac && 	touch aclocal.m4 && 	touch configure
 	touch config.h.in  */Makefile.in Makefile.in
 	#
 	./configure $(confflags) --prefix=/usr --mandir=/usr/share/man \
-		--infodir=/usr/share/info \
-		--with-xmorph --with-gtkmorph --with-gtk2 
+		--infodir=/usr/share/info  --disable-rpath \
+		--with-xmorph --with-gtkmorph --with-gtk=2 \
+		--without-libply --without-plyview --with-waili
 	# Add here commands to compile the package.
 	$(MAKE)  CFLAGS="$(CFLAGS)"
 	#

## xmorph 20050408b

=== debian/changelog ===
xmorph (1:20050408b) unstable; urgency=low

  * corrected crash when making movies, due to  double free in movies.c

 -- A Mennucc1 <mennucc1@debian.org>  Fri, 27 May 2005 10:26:25 +0200

xmorph (1:20050408) unstable; urgency=low

  * save_image chooses the type from extension of image file name
  * choose strength of wavelet equalization
  * can use keys  0...9 to set point labels, and 'ijkl' to finely move points
    (this was present, but did not work with GTK2)
  * revised libmorph/README.libmorph
  * the GTK1 interface is outdated  wrt what gtkmorph now offers with GTK2 :
    - the code for using wavelets does not work with GTK1 
    - the mplayer button is not there
    - the button for changing feature colors is not there
    - images can only be saved in PPM format
  * in movie making : the role of end and start was inverted !
  * do not update config.guess and config.sub : it breaks compilation
  * when rescaling meshes  (when user changes the resulting image size)
    the mesh border was used and affected (and this is wrong): added
    new function meshScaleFreeformat in libmorph
  * when loading  meshes in a gtkmorph with different resulting size,
    the mesh has wrong size: now resulting image size is saved with the mesh

 -- A Mennucc1 <mennucc1@debian.org>  Wed,  6 Apr 2005 15:32:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: xmorph
 Section: graphics
-Build-Depends: gettext, libtool, autotools-dev, debhelper (>= 4.0.0),                    xlibs-dev, libxaw7-dev, xutils, groff, texinfo, bsdmainutils,                   libgtk2.0-dev
+Build-Depends: gettext, libtool, autotools-dev, debhelper (>= 4.0.0),                    xlibs-dev, libxaw7-dev, xutils, groff, texinfo, bsdmainutils,                   libgtk2.0-dev, libwaili-dev (>= 19990723-8)
 Priority: optional
 Maintainer: A Mennucc1 <mennucc1@debian.org>
 Standards-Version: 3.6.1
@@ -44,7 +44,7 @@
 
 Package: gtkmorph
 Architecture: any
-Depends:  libmorph (= ${Source-Version}), ${shlibs:Depends}
+Depends: libmorph (= ${Source-Version}), ${shlibs:Depends}
 Suggests: imagemagick, gtkmorph-example
 Conflicts: xmorph (<< 20030121)
 Priority: optional

=== debian/rules ===
--- 
+++ 
@@ -49,13 +49,6 @@
 build: build-stamp
 build-stamp:
 	dh_testdir
-	#libtoolize -f
-	#gettextize -f
-	#automake --add-missing
-	#PROBLEM HERE aclocal forgets about gtk 2.0 macros
-	#aclocal 
-	#autoconf
-	#
 	#RESTORE LINKS
 	#[ -f debian/build_links ] && xargs <debian/build_links -r -n 2  ln -bs && rm debian/build_links
 	# avoid time skews
@@ -65,7 +58,7 @@
 	./configure $(confflags) --prefix=/usr --mandir=/usr/share/man \
 		--infodir=/usr/share/info  --disable-rpath \
 		--with-xmorph --with-gtkmorph --with-gtk=2 \
-		--without-libply --without-plyview --with-waili
+		--without-libply --without-plyview --with-waili --without-fftw
 	# Add here commands to compile the package.
 	$(MAKE)  CFLAGS="$(CFLAGS)"
 	#
@@ -82,11 +75,21 @@
 	#find -type l -printf '%l\t%p\n' >> debian/build_links
 	#find -type l | xargs -r rm 
 	dh_clean
+
+update_libtool:
+	#this breaks the compilation sometimes
 	-test -r /usr/share/misc/config.sub && \
 	   cp -vf /usr/share/misc/config.sub config.sub
 	-test -r /usr/share/misc/config.guess && \
 	   cp -vf /usr/share/misc/config.guess config.guess
 
+update_autostuff :
+	libtoolize -f
+	gettextize -f
+	automake --add-missing
+	#PROBLEM HERE aclocal forgets about gtk 2.0 macros
+	aclocal 
+	autoconf
 
 install: DH_OPTIONS=
 install: build

## xmorph 20060107ubuntu1

=== debian/changelog ===
xmorph (1:20060107ubuntu1) dapper; urgency=low

  * Resynchronise with Debian:
    - debian/control: Readd xbitmaps to build dependencies.
    - debian/changelog: Note that 1:20051111 was never uploaded, but
      the changelog header needs to conform to policy.

 -- Daniel T Chen <crimsun@fungus.sh.nu>  Mon, 09 Jan 2006 14:01:15 +0000

xmorph (1:20060107) unstable; urgency=low

  * do not build-dep on xlibs-dev, but rather on 'libx11-dev, libxt-dev, x-dev'
  * check in configure that libxaw7 is installed
  * rebuilt auto* stuff with automake-1.9 and latest configure
  * some ifdefs to reuse code in forthcoming project "plymorph",
    and some correction and rationalization of the whole code , such as:
  * in gtksettings.c :  submenus were reversed, didnt work properly
  * found nasty bug in image blending code , that luckily was never triggered
  
 -- A Mennucc1 <mennucc1@debian.org>  Thu, 15 Dec 2005 12:16:00 +0100

xmorph (1:20051111) unstable; urgency=low

  * configure.ac : corrected  PACKAGE_LOCALE_DIR,
     now translation are correctly used
  * updated list of translatable files in  po/POTFILES.in , 
     ran 'make update-po' in po/
  * updated italian  translation 
  * updated menus according to latest guidelines
  * removed PLY support and plyview (that was never compiled in Debian)

 -- A Mennucc1 <mennucc1@debian.org>  Sun, 23 Oct 2005 14:47:17 +0200

xmorph (1:20050810ubuntu1) dapper; urgency=low

  * Rebuild because of libstdc++6 usage
  * debian/control:
    - Added xbitmap to build-deps

 -- Stephan Hermann <sh@sourcecode.de>  Wed, 28 Dec 2005 23:35:54 +0100

xmorph (1:20050810b) unstable; urgency=low

  * compiled with newer libwaili  (for gcc4.0 transition)
  * merged different updates
  * new FSF address (from latest GPL) in copyright
  * Bug fix: "fr.po: French translation", thanks to Christophe Masson
    (Closes: #326909).

 -- A Mennucc1 <mennucc1@debian.org>  Mon, 10 Oct 2005 13:22:57 +0200

xmorph (1:20050415)  (never uploaded ?)

  * another correction to 'ijkl' system... point position was 
    affected by scroll bars!
  * added informational label showing estimated time to movie completion
  * program crashes when movie should warn that some frames already exist
    (reason: a duplicate g_free) (corrected in 1:20050408b)

 -- A Mennucc1 <mennucc1@debian.org>  Fri, 15 Apr 2005 10:49:18 +0200

xmorph (1:20050408b-0.1) unstable; urgency=low

  * Non-maintainer upload, at the maintainer's request.
  * Add #include "support.h" in gtkmorph/callbacks_subimg.c, which provides the
    prototype for lookup_widget().  Closes #311005.

 -- dann frazier <dannf@debian.org>  Sat, 27 Aug 2005 15:50:17 -0600

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: xmorph
 Section: graphics
-Build-Depends: gettext, libtool, autotools-dev, debhelper (>= 4.0.0),                    xlibs-dev, libxaw7-dev, xutils, groff, texinfo, bsdmainutils,                   libgtk2.0-dev, libwaili-dev (>= 19990723-8)
+Build-Depends: gettext, libtool, autotools-dev, debhelper (>= 4.0.0),  libx11-dev, libxt-dev, x-dev, libxaw7-dev, xutils,  texinfo, bsdmainutils, libgtk2.0-dev, libwaili-dev (>= 19990723-16), xbitmaps
 Priority: optional
 Maintainer: A Mennucc1 <mennucc1@debian.org>
-Standards-Version: 3.6.1
+Standards-Version: 3.6.2.0
 
 Package: libmorph
 Architecture: any
@@ -11,8 +11,10 @@
 Priority: optional
 Section: libs
 Description: digital image warping library
- libmorph warps images.  The technique was invented and first used by
+ libmorph warps images; the warping technique was invented and first used by
  Industrial Light and Magic, and is commonly called "morphing."
+ libmorph also contains utilities to handle control meshes, that are
+ line grids that are used to design an image warp.
 
 Package: xmorph
 Architecture: any

## xmorph 20060526.1

=== debian/changelog ===
xmorph (1:20060526.1) unstable; urgency=low

  * needs to build-dep on 'xbitmaps'. Fixes FTBFS, thanks to Frederik
    Schüler (Closes: #368838).
  * Bumped standards version.

 -- A Mennucc1 <mennucc1@debian.org>  Thu, 25 May 2006 14:03:47 +0200

xmorph (1:20060526) unstable; urgency=low

  * in config.h , PACKAGE_{LOCALE,DATA]_DIR where again containing
    ${datarootdir} . As a consequence, translations and pixmaps where again
    lost. Resistence is futile. I give up and use DATADIR and LOCALEDIR as
    explained in 'info automake'.

 -- A Mennucc1 <mennucc1@debian.org>  Thu, 25 May 2006 11:34:25 +0200

xmorph (1:20060525) unstable; urgency=low

  * xmorph: incorrect handling of i18n in iso environment. 
    Thanks to Thomas Huriaux (Closes: 361260)    
  * [INTL:fr] French program translation update. 
    Thanks Christophe Masson (Closes: 361256) 

 -- A Mennucc1 <mennucc1@debian.org>  Thu, 25 May 2006 09:27:12 +0200

xmorph (1:20060304) unstable; urgency=low
  
  the "I got a flu this weekend" release
  * gtkmorph: fix nasty bug: would crash when saving the resulting  mesh
    (due to double fclose); thanks "kkilfedder at iee dot org" 
  * gtkmorph: debugging of "features":
    - allocate_colors in main() otherwise features are broken
    - due to stupid newline in glade,  the combo was not empty when created!
      this was breaking the feature renaming and such! 
      for the future, feature_init() clears the combo  
    - save features names in meshes, and load them with meshes
    - redraw the color in the button when the feature entry changes
    - properly refresh the color in the colored button when the feature changes
  * gtkmorph: feature names are saved at the end of the meshes
    (example meshes in AD and AD2 contain feature names).
  * gtkmorph: the setting "mesh is readonly" was not working 
  * gtkmorph: does not load the example session if some meshes are unsaved
  * gtkmorph: when "showing warp in other window" is on and 
     "show warp after warp" is off, the warp-showing window was not working
  * morph: do not print warnings

 -- A Mennucc1 <mennucc1@debian.org>  Sat,  4 Mar 2006 19:17:06 +0100

xmorph (1:20060130) unstable; urgency=low

  * new feature: can load, save, and display "difference meshes", that 
    are difference of two meshes; those can be added to a morph, to morph
    in a particular direction
  * more uniform naming scheme for windows and images
  * disabled "view original mesh" and "view original points"
   in main window: there is no difference between "original" and "warped" there!
  * add many "g_return_if_fail(meshAllocated(...))" to protect from bugs
  * can stop movie making
  * create pixmap when displaying a window (an empty window is useless)
  * rerun automake autoconf libtoolize gettextize
  * now "make dist" creates a tar that does compile
    (so some useless stuff deleted from tar in Debian :-)
  
 -- A Mennucc1 <mennucc1@debian.org>  Wed, 11 Jan 2006 12:11:55 +0100

xmorph (1:20051111) never uploaded

  * configure.ac : corrected  PACKAGE_LOCALE_DIR,
     now translation are correctly used
  * updated list of translatable files in  po/POTFILES.in , 
     ran 'make update-po' in po/
  * updated italian  translation 
  * updated menus according to latest guidelines
  * removed PLY support and plyview (that was never compiled in Debian)

 -- A Mennucc1 <mennucc1@debian.org>  Sun, 23 Oct 2005 14:47:17 +0200

## xmorph 20060817

=== debian/changelog ===
xmorph (1:20060817) unstable; urgency=low

  * corrected bug! g_build_filename() arg list must be NULL terminated !
   Thanks Tor Lillqvist.

 -- A Mennucc1 <mennucc1@debian.org>  Thu, 17 Aug 2006 18:14:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: xmorph
 Section: graphics
-Build-Depends: gettext, libtool, autotools-dev, debhelper (>= 4.0.0),  libx11-dev, libxt-dev, x-dev, libxaw7-dev, xutils,  texinfo, bsdmainutils, libgtk2.0-dev, libwaili-dev (>= 19990723-16), xbitmaps
+Build-Depends: gettext, libtool, autotools-dev, debhelper (>= 4.0.0),  libx11-dev, libxt-dev, x-dev, xbitmaps, libxaw7-dev, xutils, texinfo, bsdmainutils, libgtk2.0-dev, libwaili-dev (>= 19990723-16)
 Priority: optional
 Maintainer: A Mennucc1 <mennucc1@debian.org>
-Standards-Version: 3.6.2.0
+Standards-Version: 3.7.2.0
 
 Package: libmorph
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -56,9 +56,9 @@
 	touch config.h.in  */Makefile.in Makefile.in
 	#
 	./configure $(confflags) --prefix=/usr --mandir=/usr/share/man \
-		--infodir=/usr/share/info  --disable-rpath \
+		--infodir=/usr/share/info --disable-rpath \
 		--with-xmorph --with-gtkmorph --with-gtk=2 \
-		--without-libply --without-plyview --with-waili --without-fftw
+		 --with-waili --without-fftw
 	# Add here commands to compile the package.
 	$(MAKE)  CFLAGS="$(CFLAGS)"
 	#

## xmorph 20070522

=== debian/changelog ===
xmorph (1:20070522) unstable; urgency=low

  * try to reduce the library dependency ,use '-Wl,--as-needed'
   http://rerun.lefant.net/checklib/log.gtkmorph_1:20060817.html
  * warn in case of precision underflow
  * use newer auto* stuff

 -- A Mennucc1 <mennucc1@debian.org>  Thu, 24 May 2007 19:27:37 +0200

## xmorph 20071230.1

=== m4/Makefile ===
# Makefile.in generated by automake 1.9.6 from Makefile.am.
# m4/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/xmorph
pkglibdir = $(libdir)/xmorph
pkgincludedir = $(includedir)/xmorph
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
subdir = m4
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in ChangeLog
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/debdev/xmorph/xmorph-current/missing --run aclocal-1.9
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/debdev/xmorph/xmorph-current/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/debdev/xmorph/xmorph-current/missing --run autoconf
AUTOHEADER = ${SHELL} /home/debdev/xmorph/xmorph-current/missing --run autoheader
AUTOMAKE = ${SHELL} /home/debdev/xmorph/xmorph-current/missing --run automake-1.9
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -Wall
COND_FFTW_FALSE = 
COND_FFTW_TRUE = #
COND_GTK2_FALSE = #
COND_GTK2_TRUE = 
COND_GTKMORPH_FALSE = #
COND_GTKMORPH_TRUE = 
COND_LIBPLY_FALSE = 
COND_LIBPLY_TRUE = #
COND_MORPH_FALSE = #
COND_MORPH_TRUE = 
COND_PLYVIEW_FALSE = 
COND_PLYVIEW_TRUE = #
COND_TKMORPH_FALSE = 
COND_TKMORPH_TRUE = #
COND_WAILI_FALSE = #
COND_WAILI_TRUE = 
COND_XMORPH_FALSE = #
COND_XMORPH_TRUE = 
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = 
FFLAGS = 
GDK_PIXBUF_CFLAGS = 
GDK_PIXBUF_CONFIG = 
GDK_PIXBUF_LIBS = 
GETTEXT_PACKAGE = xmorph
GMSGFMT = /usr/bin/msgfmt
GTHREAD_CFLAGS = -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GTHREAD_LIBS = -pthread -lgthread-2.0 -lglib-2.0  
GTKGL_CFLAGS = 
GTKGL_LIBS = 
GTK_CFLAGS = -DXTHREADS -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/X11R6/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GTK_CONFIG = 
GTK_LIBS = -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangoxft-1.0 -lpangox-1.0 -lpangoft2-1.0 -lpango-1.0 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
INTLLIBS = 
INTL_MACOSX_LIBS = 
LDFLAGS = -lm
LIBICONV = -liconv
LIBINTL = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBICONV = -liconv
LTLIBINTL = 
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/debdev/xmorph/xmorph-current/missing --run makeinfo
MKINSTALLDIRS = $(top_builddir)/./mkinstalldirs
MSGFMT = /usr/bin/msgfmt
MSGMERGE = /usr/bin/msgmerge
OBJEXT = o
PACKAGE = xmorph
PACKAGE_BUGREPORT = mennucc1@debian.org
PACKAGE_NAME = xmorph
PACKAGE_STRING = xmorph 1
PACKAGE_TARNAME = xmorph
PACKAGE_VERSION = 1
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
POSUB = po
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
USE_NLS = yes
VERSION = 20040711
XGETTEXT = /usr/bin/xgettext
X_CFLAGS =  -I/usr/X11R6/include
X_EXTRA_LIBS = 
X_LIBS =  -L/usr/X11R6/lib
X_PRE_LIBS =  -lSM -lICE
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = 
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
ac_pt_PKG_CONFIG = /usr/bin/pkg-config
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/debdev/xmorph/xmorph-current/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
prefix = /usr/local
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
EXTRA_DIST = intmax.m4 longdouble.m4 longlong.m4 printf-posix.m4 signed.m4 size_max.m4 wchar_t.m4 wint_t.m4 xsize.m4  codeset.m4 gettext.m4 glibc21.m4 iconv.m4 intdiv0.m4 inttypes.m4 inttypes_h.m4 inttypes-pri.m4 isc-posix.m4 lcmessage.m4 lib-ld.m4 lib-link.m4 lib-prefix.m4 nls.m4 po.m4 progtest.m4 stdint_h.m4 uintmax_t.m4 ulonglong.m4
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  m4/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  m4/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkdir_p) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic distclean-libtool

dvi: dvi-am

dvi-am:

html: html-am

info: info-am

info-am:

install-data-am:

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-info-am

.PHONY: all all-am check check-am clean clean-generic clean-libtool \
	distclean distclean-generic distclean-libtool distdir dvi \
	dvi-am html html-am info info-am install install-am \
	install-data install-data-am install-exec install-exec-am \
	install-info install-info-am install-man install-strip \
	installcheck installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-generic \
	mostlyclean-libtool pdf pdf-am ps ps-am uninstall uninstall-am \
	uninstall-info-am

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== debian/changelog ===
xmorph (1:20071230.1) unstable; urgency=low

  * updated to latest auto* stuff in Debian/sid
  * Bug fix: "xmorph: FTBFS: configure: error: cannot find install-sh or
    install.sh ", thanks to Kurt Roeckx (Closes: #458348).

 -- A Mennucc1 <mennucc1@debian.org>  Sun, 30 Dec 2007 18:28:32 +0000

xmorph (1:20071230) unstable; urgency=low

  * Bump standard version to 3.7.3 :
    - new section Applications/Graphics for gtkmorph & xmorph menu
    - use ${binary:Version} in debian/control
  * Fix lintian warnings:
    - delete DH_COMPAT, create debian/compat
    - do not use "-$(MAKE) distclean" , but rather
                  [ ! -f Makefile ] || $(MAKE) distclean
  * add symbols file for libmorph (thanks mole)
  * Bug fix: "FTBFS with GCC 4.3: missing #includes", thanks to Martin
    Michlmayr (Closes: #455618).

 -- A Mennucc1 <mennucc1@debian.org>  Sun, 30 Dec 2007 15:24:39 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Build-Depends: gettext, libtool, autotools-dev, debhelper (>= 4.0.0),  libx11-dev, libxt-dev, x-dev, xbitmaps, libxaw7-dev, xutils, texinfo, bsdmainutils, libgtk2.0-dev, libwaili-dev (>= 19990723-16)
 Priority: optional
 Maintainer: A Mennucc1 <mennucc1@debian.org>
-Standards-Version: 3.7.2.0
+Standards-Version: 3.7.3
 
 Package: libmorph
 Architecture: any
@@ -37,7 +37,7 @@
 
 Package: libmorph-dev
 Architecture: any
-Depends: libmorph (= ${Source-Version})
+Depends: libmorph (= ${binary:Version})
 Priority: optional
 Section: libdevel
 Description: digital image warping library (development files)
@@ -46,7 +46,7 @@
 
 Package: gtkmorph
 Architecture: any
-Depends: libmorph (= ${Source-Version}), ${shlibs:Depends}
+Depends: ${shlibs:Depends}
 Suggests: imagemagick, gtkmorph-example
 Conflicts: xmorph (<< 20030121)
 Priority: optional

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,8 @@
 # Uncomment this to turn on verbose mode. 
 #export DH_VERBOSE=0
 
-# This is the debhelper compatability version to use.
-export DH_COMPAT=4
+# This is the debhelper compatability version to use, for local overrides.
+#export DH_COMPAT=4
 
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
@@ -70,7 +70,7 @@
 	rm -f build-stamp 
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) distclean
+	[ ! -f Makefile ] || $(MAKE) distclean
 	#DELETE LINKS: save and delete sym links
 	#find -type l -printf '%l\t%p\n' >> debian/build_links
 	#find -type l | xargs -r rm

## xmorph 20090606

=== debian/changelog ===
xmorph (1:20090606) unstable; urgency=low

  * Removed obsolete build-dep on x-dev; thanks to
    jcristau; (Closes: #515421).
  * Added info-dir-section to your info files; thanks to
    Norbert Preining (Closes: #528901).
  * Update texinfo contents.

 -- A Mennucc1 <mennucc1@debian.org>  Mon, 08 Jun 2009 08:57:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: xmorph
 Section: graphics
-Build-Depends: gettext, libtool, autotools-dev, debhelper (>= 4.0.0),  libx11-dev, libxt-dev, x-dev, xbitmaps, libxaw7-dev, xutils, texinfo, bsdmainutils, libgtk2.0-dev, libwaili-dev (>= 19990723-16)
+Build-Depends: gettext, libtool, autotools-dev, debhelper (>= 4.0.0),  libx11-dev, libxt-dev, x11proto-core-dev, xbitmaps, libxaw7-dev, xutils, texinfo, bsdmainutils, libgtk2.0-dev, libwaili-dev (>= 19990723-16)
 Priority: optional
 Maintainer: A Mennucc1 <mennucc1@debian.org>
 Standards-Version: 3.7.3

## xmorph 20090926

=== debian/changelog ===
xmorph (1:20090926) unstable; urgency=low

  * Updated to latest auto* stuff in Debian/sid
  * Use latest debhelper compat 7
  *  Bump standard version to 3.8.3 , correct lintian warnings:
    - use ${misc:Depends} in debian/control
    - Depends:  dpkg (>= 1.15.4) | install-info
    - Remove xmorph.prerm xmorph.postinst templates
    - Remove dependency on 'xutils'
    - Change dh-clean-k in dh_prep
  * Add reference to SVN repo in sourceforge
  * The correction for info-dir-section was not effective, corrected.
  
 -- A Mennucc1 <mennucc1@debian.org>  Tue, 29 Sep 2009 19:41:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: xmorph
 Section: graphics
-Build-Depends: gettext, libtool, autotools-dev, debhelper (>= 4.0.0),  libx11-dev, libxt-dev, x11proto-core-dev, xbitmaps, libxaw7-dev, xutils, texinfo, bsdmainutils, libgtk2.0-dev, libwaili-dev (>= 19990723-16)
+Build-Depends: gettext, libtool, autotools-dev, debhelper (>= 7.0.0),  libx11-dev, libxt-dev, x11proto-core-dev, libxaw7-dev, xbitmaps, texinfo, bsdmainutils, libgtk2.0-dev, libwaili-dev (>= 19990723-16)
 Priority: optional
 Maintainer: A Mennucc1 <mennucc1@debian.org>
-Standards-Version: 3.7.3
+Standards-Version: 3.8.3
+Vcs-SVN: https://xmorph.svn.sourceforge.net/svnroot/xmorph
+Vcs-Browser: http://xmorph.svn.sourceforge.net/viewvc/xmorph/
 
 Package: libmorph
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Priority: optional
 Section: libs
 Description: digital image warping library
@@ -18,7 +20,7 @@
 
 Package: xmorph
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: dpkg (>= 1.15.4) | install-info, ${misc:Depends}, ${shlibs:Depends}
 Suggests: imagemagick | netpbm | xmorph-example
 Priority: optional
 Section: graphics
@@ -37,7 +39,7 @@
 
 Package: libmorph-dev
 Architecture: any
-Depends: libmorph (= ${binary:Version})
+Depends: ${misc:Depends}, libmorph (= ${binary:Version})
 Priority: optional
 Section: libdevel
 Description: digital image warping library (development files)
@@ -46,7 +48,7 @@
 
 Package: gtkmorph
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: imagemagick, gtkmorph-example
 Conflicts: xmorph (<< 20030121)
 Priority: optional
@@ -57,12 +59,12 @@
  technique was invented and first used by Industrial Light and Magic, and is
  commonly called "morphing."
  .
- gtkmorph is a GUI for libmorph, using GTK.  It has many features, as the
+ gtkmorph is a GUI for libmorph, using GTK+.  It has many features, as the
  support for making movies automatically (it needs extra packages).
 
 Package: gtkmorph-example
 Architecture: all
-Depends:  gtkmorph | xmorph
+Depends: ${misc:Depends}, gtkmorph | xmorph
 Provides: xmorph-example
 Priority: optional
 Section: graphics

=== debian/rules ===
--- 
+++ 
@@ -95,7 +95,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 	# Add here commands to install the package into debian/tmp.
 	$(MAKE) install DESTDIR=`pwd`/debian/tmp

## xmorph 20140707

=== debian/changelog ===
xmorph (1:20140707) unstable; urgency=low

  [ A Mennucc1 ]
  * Bug fix: "run dh-autoreconf to update config.{sub,guess} and
    {libtool,aclocal}.m4", thanks to Matthias Klose (Closes: #744550).
  * Bug fix: "run dh-autoreconf to update config.{sub,guess} and
    {libtool,aclocal}.m4", thanks to Matthias Klose (Closes: #727522).
  * Bug fix: "Patch fixes some typos", thanks to Chris Leick (Closes:
    #550205).
  * Bug fix: "[INTL:de] Initial German translation", thanks to Chris Leick
    (Closes: #550204); and correct two bugs in it.
  * enable hardening
  * debian/rules: create build-arch and build-indep targets
  * do not install libmorph.la
  * update SVN links in debian/control
  * update Standards-Version to 3.9.5

 -- A Mennucc1 <mennucc1@debian.org>  Mon, 07 Jul 2014 00:00:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: xmorph
 Section: graphics
-Build-Depends: gettext, libtool, autotools-dev, debhelper (>= 7.0.0),  libx11-dev, libxt-dev, x11proto-core-dev, libxaw7-dev, xbitmaps, texinfo, bsdmainutils, libgtk2.0-dev, libwaili-dev (>= 19990723-16)
+Build-Depends: gettext, libtool, autotools-dev, debhelper (>= 7.0.0),  libx11-dev, libxt-dev, x11proto-core-dev, libxaw7-dev, xbitmaps, texinfo, bsdmainutils, libgtk2.0-dev, libwaili-dev (>= 19990723-16), dh-autoreconf
 Priority: optional
 Maintainer: A Mennucc1 <mennucc1@debian.org>
-Standards-Version: 3.8.3
-Vcs-SVN: https://xmorph.svn.sourceforge.net/svnroot/xmorph
-Vcs-Browser: http://xmorph.svn.sourceforge.net/viewvc/xmorph/
+Standards-Version: 3.9.5.0
+Vcs-SVN: svn://svn.code.sf.net/p/xmorph/code/
+Vcs-Browser: https://sourceforge.net/p/xmorph/code/HEAD/tree/
 
 Package: libmorph
 Architecture: any
